<?php
require'fun.php';
if($conn->query('SELECT COUNT(*)FROM`membrii_pedepsiti`WHERE`de`="'.$de.'"&&`penalty`="3"')->fetch_row()[0]>0)
{
$titlu='Eroare!';
require'f_sus.php';
$banto=$conn->query('SELECT`data`,`pnreas`,`exid`FROM`membrii_pedepsiti`WHERE`de`="'.$de.'"&&`penalty`="3"')->fetch_row();
require'f_ramas.php';
$sex_de=($conn->query('SELECT`sex`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0]=='F'?'ă':'');
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Esti Banat'.$sex_de.' pe acest serviciu!<br />Timp ramas pana la debanare: <strong>'.ramas($banto[0]-$_SERVER['REQUEST_TIME']).'</strong><br />Ai fost banat'.$sex_de.' de: <strong>'.nume($banto[2]).'</strong><br />Motiv ban: <strong>'.htmlspecialchars($banto[1]).'</strong>'.$div[0];
require'f_jos.php';
}
if($_SERVER['REQUEST_URI']!='/galerie')
$back[1]='<a href="/galerie">'.img('galerie.png',1).'Galerie</a>';
if(isset($_GET['pid']))
{
$pinfo=$conn->query('SELECT`id`,`de`,`descriere`,`valid`,`raportat`,`mica`,`mare`,`nume_original`,`vizualizari`,`data`,`pret_com`,`pret_rate`,`fid`FROM`galerie_poze`WHERE`id`="'.$pid.'"&&`valid`>0')->fetch_row();
if($pinfo[0]>0)
{
if($_SERVER['REQUEST_URI']!='/poze-membru/la/'.$pinfo[1].'-'.seo(nume($pinfo[1],1)))
$back[2]='<a href="/poze-membru/la/'.$pinfo[1].'-'.seo(nume($pinfo[1],1)).'">'.img('galerie.png',1).'Poze membru '.nume($pinfo[1]).'</a>';
if($_SERVER['REQUEST_URI']!='/poza/id/'.$pid&&$_SERVER['REQUEST_URI']!='/sterge-poza/id/'.$pid)
$back[3]='<a href="/poza/id/'.$pid.'">'.img('galerie.png',1).'Poza '.$pid.'</a>';
$fid=$pinfo[12];
$finfo[2]=0;
}
else
{
http_response_code(410);
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Aceasta poza nu a fost gasita!<br />Probabil a fost ștearsă!'.$div[0];
require'f_jos.php';
}
}
$confidentialitate_album=['album public','album pentru prieteni','album cu parola','album pentru un singur membru'];
$imagine_album=[$domenii_statice[1].'album_public.gif',$domenii_statice[2].'album_pentru_prieteni.gif',$domenii_statice[1].'album_cu_parola.gif',$domenii_statice[2].'album_pentru_un_singur_membru.gif'];
if($fid>0)
{
$finfo=$conn->query('SELECT`id`,`nume`,`tip`,`valoare`,`de`FROM`galerie_albume`WHERE`id`="'.$fid.'"')->fetch_row();
if($finfo[0]>0)
{
$fnume=htmlspecialchars($finfo[1]);
if($_SERVER['REQUEST_URI']!='/poze-membru/la/'.$finfo[4].'-'.seo(nume($finfo[4],1)).'/album/'.$fid.'-'.seo($finfo[1])&&$_SERVER['REQUEST_URI']!='/sterge-album-poze/la/'.$finfo[4].'-'.seo(nume($finfo[4],1)).'/album/'.$fid.'-'.seo($finfo[1]).'/pagina/1')
$back[3]='<a href="/poze-membru/la/'.$finfo[4].'-'.seo(nume($finfo[4],1)).'/album/'.$fid.'-'.seo($finfo[1]).'"><img src="'.$imagine_album[$finfo[2]].'" alt="'.$confidentialitate_album[$finfo[2]].'" />Poze album '.$fnume.'</a>';
if($finfo[2]=='1'&&$perm==0&&$de!=$finfo[4])
{
if($conn->query('SELECT COUNT(*)FROM`prieteni`WHERE(`de`="'.$de.'"&&`la`="'.$finfo[4].'"||`de`="'.$finfo[4].'"&&`la`="'.$de.'")&&`citit`>"0"')->fetch_row()[0]==0)
{
http_response_code(401);
$titlu='Acces interzis la albumul '.$fnume.'!';
$back[2]='<a href="/poze-membru/la/'.$finfo[4].'-'.seo(nume($finfo[4],1)).'">'.img('galerie.png',1).'Poze membru '.nume($finfo[4]).'</a>';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'La acest album au acces doar prietenii membrului '.nume($finfo[4]).'!'.$div[0].$div[1].'<a href="/adauga-la-prieteni/la/'.$finfo[4].'-'.seo(nume($finfo[4],1)).'">'.img('pref.gif',1).'Trimite-i cerere în prietenie</a>'.$div[0].$div[1].'<a href="'.($conn->query('SELECT COUNT(*)FROM`ignorati`WHERE`la`="'.$finfo[4].'"&&`de`="'.$de.'"')->fetch_row()[0]>0?'/sterge-de-la-ignorati/la/'.$finfo[4].'-'.seo(nume($finfo[4],1)).'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" />Șterge de':'/adauga-la-ignorati/la/'.$finfo[4].'-'.seo(nume($finfo[4],1)).'"><img src="'.$domenii_statice[1].'blocheaza.gif" alt="" width="16" height="16" />Adaugă ').'la ignor pe '.nume($finfo[4]).'</a>'.$div[0];
require'f_jos.php';
}
}
if($finfo[2]==2&&$perm==0&&$de!=$finfo[4])
{
if(($_POST['parola']??'')==$finfo[3])
$_SESSION['parola_album_'.$fid]=$finfo[3];
if(($_SESSION['parola_album_'.$fid]??'')!=$finfo[3])
{
$titlu='Acces restrictionat la albumul '.$fnume.'!';
$back[2]='<a href="/poze-membru/la/'.$finfo[4].'-'.seo(nume($finfo[4],1)).'">'.img('galerie.png',1).'Poze membru '.nume($finfo[4]).'</a>';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Album securizat!'.$div[0].$div[10].'Pentru a-l accesa, ai nevoie de parola!<br />Aceasta o poți obtine de la proprietarul albumului!'.$div[0];
if(isset($_POST['parola']))
echo$div[7].'Parola introdusă este incorectă!'.$div[0];
$form[0]=$_SERVER['REQUEST_URI'].'" method="post';
$form[1]=0;
$form[2]=$div[1].'Introdu parola:<br /><input type="password" name="parola" maxlength="33" />'.$div[0];
$form[3]='parola';
$form[4]='Confirma';
require'f_form.php';
require'f_statut.php';
if(budres($de,$finfo[4])==2)
echo$div[1].'<a href="/sterge-de-la-prieteni/la/'.$finfo[4].'-'.seo(nume($finfo[4],1)).'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" />Șterge de la prieteni</a>'.$div[0];
echo$div[1].'<a href="'.($conn->query('SELECT COUNT(*)FROM`ignorati`WHERE`la`="'.$finfo[4].'"&&`de`="'.$de.'"')->fetch_row()[0]>0?'/sterge-de-la-ignorati/la/'.$finfo[4].'-'.seo(nume($finfo[4],1)).'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" />Șterge de':'/adauga-la-ignorati/la/'.$finfo[4].'-'.seo(nume($finfo[4],1)).'"><img src="'.$domenii_statice[1].'blocheaza.gif" alt="" width="16" height="16" />Adaugă ').'la ignor pe '.nume($finfo[4]).'</a>'.$div[0];
require'f_jos.php';
}
}
if($finfo[2]==3&&$perm==0)
{
if(!in_array($de,[$finfo[3],$finfo[4]]))
{
$titlu='Acces restrictionat la albumul '.$fnume.'!';
$back[2]='<a href="/poze-membru/la/'.$finfo[4].'-'.seo(nume($finfo[4],1)).'">'.img('galerie.png',1).'Poze membru '.nume($finfo[4]).'</a>';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest album este destinat membrului '.nume($finfo[3]).'!'.$div[0];
require'f_jos.php';
}
}
}
else
{
http_response_code(410);
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest album nu a fost gasit!<br />Probabil a fost șters!'.$div[0];
require'f_jos.php';
}
}
elseif(@$_GET['fid']<1)
{
$finfo=[0,'Poze fără album',0,''];
$fnume=htmlspecialchars($finfo[1]);
}